unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, NxColumns, NxColumnClasses, NxScrollControl,
  NxCustomGridControl, NxCustomGrid, NxGrid, Jpeg;

type
  TForm1 = class(TForm)
    NextGrid1: TNextGrid;
    NxGraphicColumn1: TNxGraphicColumn;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
  G: TGraphic;
begin
  { Add one cell }
  NextGrid1.AddRow();

  G := TJPEGImage.Create;
  { Load file into G object }
  G.LoadFromFile('sunset.jpg');
  { Cell will point to G object }
  NextGrid1.Cell[0, 0].ObjectReference := G;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  if NextGrid1.RowCount > 0 then
    NextGrid1.Cell[0, 0].ObjectReference.Free;
end;

end.
